Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.temporal
Interface TemporalEdge

All Superinterfaces:
  TemporalTopologicalPrimitive

    @UML(identifier="TM_Edge",
         specification=ISO_19108)
    public interface TemporalEdge

extends TemporalTopologicalPrimitive

One-dimensional topological primitive in time.

Method Summary
`TemporalNode` | `getEnd()` Links this edge to the node that is its end.
`Period` | `getRealization()` An optional association that links this edge to the corresponding period.
`TemporalNode` | `getStart()` Links this edge to the node that is its start.

Method Detail

### getRealization

    @UML(identifier="Realization",
         obligation=OPTIONAL,
         specification=ISO_19108)
    Period getRealization()

  An optional association that links this edge to the corresponding period.

### getStart

    @UML(identifier="start",
         obligation=MANDATORY,
         specification=ISO_19108)
    TemporalNode getStart()

  Links this edge to the node that is its start.

### getEnd

    @UML(identifier="end",
         obligation=MANDATORY,
         specification=ISO_19108)
    TemporalNode getEnd()

  Links this edge to the node that is its end.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.